package opc.ua.im.datatype;

import opc.ua.addressspace.datatype.NodeId;
import opc.ua.addressspace.nodeclasse.DataTypeNode;
import opc.ua.services.common.MessageSecurityMode;

public class SessionSecurityDiagnosticsDataType extends DataTypeNode {
	
	private NodeId sessionId;
	private String clientUserIdOfSession;
	private String[] clientUserIdHistory;
	private String authenticationMechanism;
	private String encoding;
	private String transportProtocol;
	private MessageSecurityMode securityMode;
	private String securityPolicyUri;
	private byte[] clientCertificate;
	
	
	public SessionSecurityDiagnosticsDataType() {
		setBrowseName("SessionSecurityDiagnosticsDataType");
	}
	
	public NodeId getSessionId() {
		return sessionId;
	}
	public void setSessionId(NodeId sessionId) {
		this.sessionId = sessionId;
	}
	public String getClientUserIdOfSession() {
		return clientUserIdOfSession;
	}
	public void setClientUserIdOfSession(String clientUserIdOfSession) {
		this.clientUserIdOfSession = clientUserIdOfSession;
	}
	public String[] getClientUserIdHistory() {
		return clientUserIdHistory;
	}
	public void setClientUserIdHistory(String[] clientUserIdHistory) {
		this.clientUserIdHistory = clientUserIdHistory;
	}
	public String getAuthenticationMechanism() {
		return authenticationMechanism;
	}
	public void setAuthenticationMechanism(String authenticationMechanism) {
		this.authenticationMechanism = authenticationMechanism;
	}
	public String getEncoding() {
		return encoding;
	}
	public void setEncoding(String encoding) {
		this.encoding = encoding;
	}
	public String getTransportProtocol() {
		return transportProtocol;
	}
	public void setTransportProtocol(String transportProtocol) {
		this.transportProtocol = transportProtocol;
	}
	public MessageSecurityMode getSecurityMode() {
		return securityMode;
	}
	public void setSecurityMode(MessageSecurityMode securityMode) {
		this.securityMode = securityMode;
	}
	public String getSecurityPolicyUri() {
		return securityPolicyUri;
	}
	public void setSecurityPolicyUri(String securityPolicyUri) {
		this.securityPolicyUri = securityPolicyUri;
	}
	public byte[] getClientCertificate() {
		return clientCertificate;
	}
	public void setClientCertificate(byte[] clientCertificate) {
		this.clientCertificate = clientCertificate;
	}

}
